​

Get list of entities

GET
https://example.kaiten.ru/api/latest/tree-entities

Get tree entities list filtered by query parameters. The result of the request is displayed page by page (see details in the constraints of the parameters).

Headers
NameValue
Content-Typeapplication/json
Query
NameTypeConstraintsDescription
limitnumberDefault: 500 Max: 500Maximum number of entities in response
offsetnumberNumber of records to skip
parent_entity_uidstringGet entities that are nested in entity with desired uid
levels_countnumbermax: 2Max depth level
Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
uid

string

Entity uid
title

string

Entity title
sort_order

number

Entity sort order
archived

boolean

Archived flag
access

string

Entity access
for_everyone_access_role_id

string

Role id for when access is for_everyone
entity_type

string

Entity type
path

string

Inner path to entity
parent_entity_uid

string

Parent entity uid
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbidenResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io
  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/tree-entities' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!